button {
  all: unset;
  color: white;
  background-color: hsl(0, 0%, 0%, 25%);
  border: 1px solid white;
  border-radius: 1ch;
  padding: 1ch;
  margin: 1ch;
  transition: all 0.25s;
}

button:hover {
  background-color: hsl(0, 0%, 100%, 75%);
  color: black;
}

button.lvl-a {
  background-color: hsl(0, 80%, 50%, 100%);
}

button.lvl-a:hover {
  background-color: hsl(0, 80%, 30%, 100%);
  color: white;
}